/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.manifest.valueobject;

import java.util.List;

/**
 * Java MANIFEST.MF のエントリーをあらわすバリューオブジェクト。
 */
public class BlancoManifestEntry {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fName;

    /**
     * フィールド [attributeList]
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     */
    private List<java.lang.String> fAttributeList = new java.util.ArrayList<java.lang.String>();

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [attributeList]のセッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     *
     * @param argAttributeList フィールド[attributeList]に格納したい値
     */
    public void setAttributeList(final List<java.lang.String> argAttributeList) {
        fAttributeList = argAttributeList;
    }

    /**
     * フィールド[attributeList]のゲッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     *
     * @return フィールド[attributeList]に格納されている値
     */
    public List<java.lang.String> getAttributeList() {
        return fAttributeList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.manifest.valueobject.BlancoManifestEntry[");
        buf.append("name=" + fName);
        buf.append(",attributeList=" + fAttributeList);
        buf.append("]");
        return buf.toString();
    }
}
